| Face Engine SDK 5.2.0 A face detection, recognition and tracking engine.

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | List of all members
fsdk::IIndex Struct Referenceabstract

Base index interface. More...

`#include <IIndex.h>`

Inheritance diagram for fsdk::IIndex:

## Public Member Functions
virtual ResultValue< FSDKError, int > | search (const IDescriptor *reference, int maxResultsCount, SearchResult *results) const noexcept=0
| Search for descriptors with the shorter distance to passed descriptor. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

Base index interface.

You may think of index as some data structure optimized for search queries.

## Member Function Documentation

virtual ResultValue<FSDKError, int> fsdk::IIndex::search | ( | const IDescriptor * | reference,
|  | int | maxResultsCount,
|  | SearchResult * | results
| ) |  | const
| pure virtual noexcept

Search for descriptors with the shorter distance to passed descriptor.

Parameters

  reference | Descriptor to match against index.
  maxResultsCount | Maximum count of results. It is upper bound value, it does not guarantee to return exactly this amount of results.
  results | C-Array of atleast

See Also
  maxResultsCount size. Is filled with query results.

Returns
  One of the error codes specified by

See Also
  FSDKError and count of found descriptors.

The documentation for this struct was generated from the following file:

- include/fsdk/IIndex.h